Loading...
Searching...
No Matches
elastix::ResamplerBase< TElastix > Class Template Reference

`#include <elxResamplerBase.h>`

## Detailed Description

template<class TElastix>
class elastix::ResamplerBase< TElastix >

Definition at line 77 of file elxResamplerBase.h.

Inheritance diagram for elastix::ResamplerBase< TElastix >:
[legend]

## Public Types

using | CoordRepType = ElastixBase::CoordRepType
using | DirectionType = typename ITKBaseType::DirectionType
using | ElastixType
using | IndexType = typename ITKBaseType::IndexType
using | InputImageType = typename ElastixType::MovingImageType
using | InterpolatorType = typename ITKBaseType::InterpolatorType
using | ITKBaseType = itk::ResampleImageFilter<InputImageType, OutputImageType, CoordRepType>
using | OriginPointType = typename ITKBaseType::OriginPointType
using | OutputImageType = typename ElastixType::MovingImageType
using | OutputPixelType = typename ITKBaseType::PixelType
using | ParameterMapType = typename ElastixType::ParameterMapType
using | RegistrationType
using | Self = ResamplerBase
using | SizeType = typename ITKBaseType::SizeType
using | SpacingType = typename ITKBaseType::SpacingType
using | Superclass = BaseComponentSE<TElastix>
using | TransformType = typename ITKBaseType::TransformType
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | AfterEachIterationBase () override
void | AfterEachResolutionBase () override
void | AfterRegistrationBase () override
virtual int | BeforeAllTransformix ()
void | BeforeRegistrationBase () override
virtual void | CreateItkResultImage ()
void | CreateTransformParameterMap (ParameterMapType &parameterMap) const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ResamplerBase)
| itkStaticConstMacro (ImageDimension, unsigned int, OutputImageType::ImageDimension)
virtual void | ReadFromFile ()
void | ResampleAndWriteResultImage (const std::string &filename, const bool showProgress)
void | WriteToFile (std::ostream &transformationParameterInfo) const
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachResolution ()
virtual void | AfterRegistration ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistration ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Protected Member Functions

| ResamplerBase ()=default
virtual void | SetComponents ()
| ~ResamplerBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Member Functions

template<typename TResultPixel>
itk::SmartPointer< itk::ImageBase< ImageDimension > > | CastImage (const InputImageType *const inputImage) const
virtual ParameterMapType | CreateDerivedTransformParameterMap () const
| elxDeclarePureVirtualGetSelfMacro (ITKBaseType)
void | ReleaseMemory ()
void | WriteResultImage (OutputImageType *imageimage, const std::string &filename, const bool showProgress)

## Additional Inherited Members

Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## CoordRepType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::CoordRepType = ElastixBase::CoordRepType

Definition at line 98 of file elxResamplerBase.h.

## DirectionType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::DirectionType = typename ITKBaseType::DirectionType

Definition at line 109 of file elxResamplerBase.h.

## ElastixType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::ElastixType

Elastix typedef.

Definition at line 57 of file elxBaseComponentSE.h.

## IndexType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::IndexType = typename ITKBaseType::IndexType

Definition at line 107 of file elxResamplerBase.h.

## InputImageType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::InputImageType = typename ElastixType::MovingImageType

Typedef's from elastix. NB: it is assumed that fixed and moving image dimension are equal!

Definition at line 95 of file elxResamplerBase.h.

## InterpolatorType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::InterpolatorType = typename ITKBaseType::InterpolatorType

Definition at line 105 of file elxResamplerBase.h.

## ITKBaseType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::ITKBaseType = itk::ResampleImageFilter<InputImageType, OutputImageType, CoordRepType>

Other typedef's.

Definition at line 101 of file elxResamplerBase.h.

## OriginPointType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::OriginPointType = typename ITKBaseType::OriginPointType

Definition at line 110 of file elxResamplerBase.h.

## OutputImageType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::OutputImageType = typename ElastixType::MovingImageType

Definition at line 96 of file elxResamplerBase.h.

## OutputPixelType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::OutputPixelType = typename ITKBaseType::PixelType

Definition at line 111 of file elxResamplerBase.h.

## ParameterMapType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::ParameterMapType = typename ElastixType::ParameterMapType

Typedef that is used in the elastix dll version.

Definition at line 114 of file elxResamplerBase.h.

## RegistrationType

template<class TElastix>

using elastix::BaseComponentSE< TElastix >::RegistrationType

RegistrationType; NB: this is the elx::RegistrationBase not an itk::Object or something like that.

Definition at line 62 of file elxBaseComponentSE.h.

## Self

template<class TElastix>

using elastix::ResamplerBase< TElastix >::Self = ResamplerBase

Standard ITK stuff.

Definition at line 83 of file elxResamplerBase.h.

## SizeType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::SizeType = typename ITKBaseType::SizeType

Definition at line 106 of file elxResamplerBase.h.

## SpacingType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::SpacingType = typename ITKBaseType::SpacingType

Definition at line 108 of file elxResamplerBase.h.

## Superclass

template<class TElastix>

using elastix::ResamplerBase< TElastix >::Superclass = BaseComponentSE<TElastix>

Definition at line 84 of file elxResamplerBase.h.

## TransformType

template<class TElastix>

using elastix::ResamplerBase< TElastix >::TransformType = typename ITKBaseType::TransformType

Typedef's from ResampleImageFiler.

Definition at line 104 of file elxResamplerBase.h.

## Constructor & Destructor Documentation

## ResamplerBase()

template<class TElastix>

elastix::ResamplerBase< TElastix >::ResamplerBase | ( |  | ) |

protected default

The constructor.

## ~ResamplerBase()

template<class TElastix>

elastix::ResamplerBase< TElastix >::~ResamplerBase | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## AfterEachIterationBase()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::AfterEachIterationBase | ( |  | ) |

override virtual

Execute stuff after each iteration:

- Write the resulting output image.

Reimplemented from elastix::BaseComponent.

## AfterEachResolutionBase()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::AfterEachResolutionBase | ( |  | ) |

override virtual

Execute stuff after each resolution:

- Write the resulting output image.

Reimplemented from elastix::BaseComponent.

## AfterRegistrationBase()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::AfterRegistrationBase | ( |  | ) |

override virtual

Execute stuff after the registration:

- Write the resulting output image.

Reimplemented from elastix::BaseComponent.

## BeforeAllTransformix()

template<class TElastix>

virtual int elastix::ResamplerBase< TElastix >::BeforeAllTransformix | ( |  | ) |

inline virtual

Execute stuff before the actual transformation:

- nothing here

Definition at line 139 of file elxResamplerBase.h.

## BeforeRegistrationBase()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::BeforeRegistrationBase | ( |  | ) |

override virtual

Execute stuff before the actual registration:

- Set all components into the resampler, such as the transform interpolator, input.
- Set output image information, such as size, spacing, etc.
- Set the default pixel value.

Reimplemented from elastix::BaseComponent.

## CastImage()

template<class TElastix>
template<typename TResultPixel>

itk::SmartPointer< itk::ImageBase< ImageDimension > > elastix::ResamplerBase< TElastix >::CastImage | ( | const InputImageType *const | inputImage | ) | const

inline private

Casts the specified input image to the image type with the specified pixel type.

Definition at line 221 of file elxResamplerBase.h.

## CreateDerivedTransformParameterMap()

template<class TElastix>

virtual ParameterMapType elastix::ResamplerBase< TElastix >::CreateDerivedTransformParameterMap | ( |  | ) | const

inline private virtual

Reimplemented in elastix::OpenCLResampler< TElastix >.

Definition at line 205 of file elxResamplerBase.h.

## CreateItkResultImage()

template<class TElastix>

virtual void elastix::ResamplerBase< TElastix >::CreateItkResultImage | ( |  | ) |

virtual

Function to create the result image in the format of an itk::Image.

## CreateTransformParameterMap()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::CreateTransformParameterMap | ( | ParameterMapType & | parameterMap | ) | const

Function to create transform-parameters map.

## elxDeclarePureVirtualGetSelfMacro()

template<class TElastix>

elastix::ResamplerBase< TElastix >::elxDeclarePureVirtualGetSelfMacro | ( | ITKBaseType |  | ) |

private

## GetAsITKBaseType() [1/2]

template<class TElastix>

ITKBaseType * elastix::ResamplerBase< TElastix >::GetAsITKBaseType | ( |  | ) |

inline

Retrieves this object as ITKBaseType.

Definition at line 121 of file elxResamplerBase.h.

## GetAsITKBaseType() [2/2]

template<class TElastix>

const ITKBaseType * elastix::ResamplerBase< TElastix >::GetAsITKBaseType | ( |  | ) | const

inline

Retrieves this object as ITKBaseType, to use in const functions.

Definition at line 129 of file elxResamplerBase.h.

## GetClassName()

template<class TElastix>

virtual const char * elastix::ResamplerBase< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::DefaultResampler< TElastix >, and elastix::OpenCLResampler< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::ResamplerBase< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | ResamplerBase< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::ResamplerBase< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | OutputImageType::ImageDimension | )

Get the ImageDimension.

## ReadFromFile()

template<class TElastix>

virtual void elastix::ResamplerBase< TElastix >::ReadFromFile | ( |  | ) |

virtual

Function to read transform-parameters from a file.

Reimplemented in elastix::OpenCLResampler< TElastix >.

## ReleaseMemory()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::ReleaseMemory | ( |  | ) |

private

Release memory.

## ResampleAndWriteResultImage()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::ResampleAndWriteResultImage | ( | const std::string & | filename,
|  | const bool | showProgress )

Function to perform resample and write the result output image to a file.

## SetComponents()

template<class TElastix>

virtual void elastix::ResamplerBase< TElastix >::SetComponents | ( |  | ) |

protected virtual

Method that sets the transform, the interpolator and the inputImage.

## WriteResultImage()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::WriteResultImage | ( | OutputImageType * | imageimage,
|  | const std::string & | filename,
|  | const bool | showProgress )

private

Function to write the result output image to a file.

## WriteToFile()

template<class TElastix>

void elastix::ResamplerBase< TElastix >::WriteToFile | ( | std::ostream & | transformationParameterInfo | ) | const

Function to write transform-parameters to a file.

Generated on 1768596610 for elastix by 1.15.0 |